<?php

/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2016-2024
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : di.php
 * @Created_at  : 09/11/2024
 * @Update_at   : 17/11/2024
 * ----------------------------------------------------------------
 */

use Luna\SQL\DI\Module\SQLManagerModule;
use Luna\SQL\Manager\SQLManager;
use Luna\SQL\Manager\SQLManagerInterface;

/**
 * Dependency injector configuration.
 */
return [
    /**
     * DI Modules.
     * Dependency injector modules are plugins allowing the construction of objects.
     *
     * The module definition looks like :
     *  - MyClass::class => MyClassModule::class
     */
    'Modules' => [
        SQLManager::class          => SQLManagerModule::class,
        SQLManagerInterface::class => SQLManagerModule::class,
    ]
];
