<?php

/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2016-2024
 * @WebSite     : https://www.shiros.fr
 *
 * @Author      : Alexandre Caillot
 *
 * @File        : SQLConstant.php
 * @Created_at  : 04/03/2022
 * @Update_at   : 09/11/2024
 * ----------------------------------------------------------------
 */

namespace Luna\SQL\Constant;

class SQLConstant
{
    # --------------------------------
    # Config

    /**
     * Config key : Database
     * Used to selects the SQL connection on which the query will be executed.
     */
    public const CONFIG_DATABASES = 'Storage.SQL.Databases';

    # --------------------------------
    # Container

    /**
     * Container key : SQL Manager
     * Used to get the registered SQL Manager in the Luna Container.
     */
    public const CONTAINER_SQL_MANAGER = '_sqlManager';

    # --------------------------------
    # Drivers

    /**
     * Driver : MySQL
     */
    public const DRIVER_MYSQL = 'mysql';

    /**
     * Driver : PostgreSQL
     */
    public const DRIVER_POSTGRESQL = 'postgresql';
}
